/*
 *  sydra
 *
 *  sydra is a toolbox which allows you to set up multiple bidirectional
 *  Video/Audio streams from external locations.
 *  sydra has been written to be used for the Elevate Festival in Graz
 *  Austria in order to involve external locations to present themselves
 *  at the festival.
 *
 *
 *  Copyright (C) 2014 Christian Pointner <equinox@spreadspace.org>
 *
 *  This file is part of sydra.
 *
 *  sydra is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  sydra is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with sydra. If not, see <http://www.gnu.org/licenses/>.
 *
 *  In addition, as a special exception, the copyright holders hereby
 *  grant permission for non-GPL-compatible GStreamer plugins to be used
 *  and distributed together with GStreamer and sydra.
 *  This permission goes above and beyond the permissions granted by the
 *  GPL license sydra is covered by.
 */

#ifndef SYDRA_options_h_INCLUDED
#define SYDRA_options_h_INCLUDED

#include "datatypes.h"

struct options_struct {
  gchar* progname_;
  gboolean daemonize_;
  gchar* username_;
  gchar* groupname_;
  gchar* chroot_dir_;
  gchar* pid_file_;
  gchar** log_targets_;
  gboolean debug_;

  gchar* appname_;
  gchar* pipeline_;
};
typedef struct options_struct options_t;

int options_parse(options_t* opt, int argc, char* argv[]);
void options_clear(options_t* opt);
void options_print_version();
void options_print(options_t* opt);

#endif
